API ReferenceClaim source
Retrieve a claims source
Roles
adminissuermanaged-issuer
GET
/v1/claim-sources/{id}Retrieves an existing claims source by providing its claimSourceID.
Analytic event
- CLAIM_SOURCE_RETRIEVE_START
- CLAIM_SOURCE_RETRIEVE_SUCCESS
- CLAIM_SOURCE_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Claims source ID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/claim-sources/41458e5a-9092-40b7-9a26-d4eb43c5792f"{
"id": "57fa09e2-82f3-4d3d-9eca-d0253e84a4e6",
"name": "My claims from example.com",
"url": "https://example.com",
"requestMethod": "GET",
"requestParameters": {
"mapFrom": "claims.accountType"
},
"authorization": {
"type": "api-key",
"value": "****************************************61m1J"
}
}{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"location": "params",
"msg": "Invalid value",
"param": "claimSourceId",
"value": "abc"
}
]
}{
"code": "NotFound",
"message": "Validation Error",
"details": [
{
"location": "params",
"msg": "Resource Not Found",
"param": "claimSourceId",
"value": "a368cfb4-9537-4439-acc6-ce3cf2287eb7"
}
]
}How would you rate this page?
Retrieve all claims sources GET
Returns a list of all claims sources configured on your tenant. ### **Analytic event** * CLAIM_SOURCE_RETRIEVE_LIST_START * CLAIM_SOURCE_RETRIEVE_LIST_SUCCESS * CLAIM_SOURCE_RETRIEVE_LIST_FAIL
Update a claims source PUT
Updates an existing claim source by providing its `claimSourceID`. ### **Analytic event** * CLAIM_SOURCE_UPDATE_START * CLAIM_SOURCE_UPDATE_SUCCESS * CLAIM_SOURCE_UPDATE_FAIL